/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDmFillgroup;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDmFillgroupRecord extends TableRecordImpl<VDmFillgroupRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dm_fillgroup.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_fillgroup.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dm_fillgroup.fill_group_id</code>.
     */
    public void setFillGroupId(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_fillgroup.fill_group_id</code>.
     */
    public Integer getFillGroupId() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dm_fillgroup.fill_group_min</code>.
     */
    public void setFillGroupMin(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_fillgroup.fill_group_min</code>.
     */
    public Integer getFillGroupMin() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dm_fillgroup.fill_group_max</code>.
     */
    public void setFillGroupMax(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_fillgroup.fill_group_max</code>.
     */
    public Integer getFillGroupMax() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_dm_fillgroup.fill_and_group_pk</code>.
     */
    public void setFillAndGroupPk(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_fillgroup.fill_and_group_pk</code>.
     */
    public Integer getFillAndGroupPk() {
        return (Integer) get(4);
    }

    /**
     * Setter for
     * <code>common_dd.v_dm_fillgroup.fill_and_group_lastchange</code>.
     */
    public void setFillAndGroupLastchange(LocalDateTime value) {
        set(5, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_dm_fillgroup.fill_and_group_lastchange</code>.
     */
    public LocalDateTime getFillAndGroupLastchange() {
        return (LocalDateTime) get(5);
    }

    /**
     * Setter for <code>common_dd.v_dm_fillgroup.fill_group_pk</code>.
     */
    public void setFillGroupPk(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_fillgroup.fill_group_pk</code>.
     */
    public Integer getFillGroupPk() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_dm_fillgroup.fill_group_lastchange</code>.
     */
    public void setFillGroupLastchange(LocalDateTime value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_fillgroup.fill_group_lastchange</code>.
     */
    public LocalDateTime getFillGroupLastchange() {
        return (LocalDateTime) get(7);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDmFillgroupRecord
     */
    public VDmFillgroupRecord() {
        super(VDmFillgroup.V_DM_FILLGROUP);
    }

    /**
     * Create a detached, initialised VDmFillgroupRecord
     */
    public VDmFillgroupRecord(Integer fkElement, Integer fillGroupId, Integer fillGroupMin, Integer fillGroupMax, Integer fillAndGroupPk, LocalDateTime fillAndGroupLastchange, Integer fillGroupPk, LocalDateTime fillGroupLastchange) {
        super(VDmFillgroup.V_DM_FILLGROUP);

        setFkElement(fkElement);
        setFillGroupId(fillGroupId);
        setFillGroupMin(fillGroupMin);
        setFillGroupMax(fillGroupMax);
        setFillAndGroupPk(fillAndGroupPk);
        setFillAndGroupLastchange(fillAndGroupLastchange);
        setFillGroupPk(fillGroupPk);
        setFillGroupLastchange(fillGroupLastchange);
        resetChangedOnNotNull();
    }
}
